## coq-menhirlib 20220210+ds

=== coq-menhirlib/Makefile ===
# Delegate the following commands:

.PHONY: all clean install uninstall

all clean install uninstall:
	@ $(MAKE) -C src --no-print-directory $@

=== debian/changelog ===
coq-menhirlib (20220210+ds-4) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 08:19:27 +0100

coq-menhirlib (20220210+ds-3) unstable; urgency=medium

  * Fix dh-coq usage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Sep 2022 13:14:58 +0200

coq-menhirlib (20220210+ds-2) unstable; urgency=medium

  * Re-upload source-only for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 Jul 2022 20:58:49 +0200

coq-menhirlib (20220210+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1014602)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 16:44:02 +0200

=== debian/control ===
Source: coq-menhirlib
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq, dh-ocaml,
               libcoq-core-ocaml-dev, libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-menhirlib
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-menhirlib.git
Homepage: https://coquelicot.inria.fr/fpottier/menhir

Package: libcoq-menhirlib
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: support library for Coq-verified Menhir parsers
 This package provides a support library for verified
 Coq parsers produced by Menhir.
 .
 Menhir is a LR(1) parser generator for the OCaml programming
 language and Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	cd coq-menhirlib && make	

override_dh_auto_install:
	cd coq-menhirlib && make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs coq-menhirlib/CHANGES.md

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom MenhirLib Version
Depends: @, coq

## coq-menhirlib 20230608+ds

=== debian/changelog ===
coq-menhirlib (20230608+ds-2build1) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Dec 2023 20:28:59 -0500

coq-menhirlib (20230608+ds-2) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044951).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:40:55 +0100

coq-menhirlib (20230608+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Jun 2023 08:02:36 +0200

coq-menhirlib (20220210+ds-5) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:32:27 +0200

## coq-menhirlib 20231231%2Bds

=== debian/changelog ===
coq-menhirlib (20231231+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jan 2024 20:49:01 +0100

## coq-menhirlib 20231231+ds

=== debian/changelog ===
coq-menhirlib (20231231+ds-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:14:40 +0200

coq-menhirlib (20231231+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:49 +0000

coq-menhirlib (20231231+ds-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:14:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-menhirlib
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//g,repacksuffix=+ds \
https://gitlab.inria.fr/fpottier/menhir/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## coq-menhirlib 20240715%2Bds

=== debian/changelog ===
coq-menhirlib (20240715+ds-1build7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jan 2026 20:23:28 +0100

coq-menhirlib (20240715+ds-1build6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:29:37 +0100

coq-menhirlib (20240715+ds-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Jun 2025 13:28:08 +0200

coq-menhirlib (20240715+ds-1build4) plucky; urgency=medium

  * No-change rebuild for coq ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 21:04:16 +0100

coq-menhirlib (20240715+ds-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:30:26 +0100

coq-menhirlib (20240715+ds-1build2) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:15:11 -0500

coq-menhirlib (20240715+ds-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 21:31:43 -0500

coq-menhirlib (20240715+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:47:03 +0100

coq-menhirlib (20231231+ds-4) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 17:33:38 +0200

coq-menhirlib (20231231+ds-3) unstable; urgency=medium

  * Fix target distribution.
  * Fix d/watch

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 15:42:54 +0200

coq-menhirlib (20231231+ds-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:24:31 +0100

## coq-menhirlib 20240715+ds

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 override_dh_auto_build:
 	cd coq-menhirlib && make	
 
+override_dh_auto_clean:
+	cd coq-menhirlib && make clean
+	rm -f coq-menhirlib/src/CoqMakefile coq-menhirlib/src/CoqMakefile.conf coq-menhirlib/src/.lia.cache
+	find . -name "*.aux" -delete
+
 override_dh_auto_install:
 	cd coq-menhirlib && make install DESTDIR=$(CURDIR)/debian/tmp

## coq-menhirlib 20250912%2Bds

=== coq-menhirlib/src/Makefile ===
# The template of this Makefile has been taken from:
# https://coq.inria.fr/refman/practical-tools/utilities.html

# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := CoqMakefile
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile _CoqProject

.DEFAULT_GOAL := invoke-coqmakefile

CoqMakefile: Makefile _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o CoqMakefile

invoke-coqmakefile: CoqMakefile
	$(MAKE) --no-print-directory -f CoqMakefile $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

=== debian/changelog ===
coq-menhirlib (20250912+ds-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * Package new upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:18:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-menhirlib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-menhirlib 20250912+ds

=== demos/Makefile ===
.PHONY: all clean test

DEMOS := \
  calc \
  calc-alias \
  calc-ast \
  calc-incremental \
  calc-inspection \
  calc-mini \
  calc-new-syntax \
  calc-param \
  calc-syntax-errors \
  calc-two \
  generate-printers \

COQDEMOS := \
  coq-minicalc \
  coq-syntax-errors \

all test:
	@ for d in $(DEMOS) ; do echo "Building $$d..." && make -C $$d --no-print-directory $@ ; done
	@ if command -v coqc >/dev/null ; then \
	    if opam list --installed --check coq-menhirlib ; then \
	      for d in $(COQDEMOS) ; do echo "Building $$d..." && make -C $$d --no-print-directory $@ ; done ; \
	    else \
	      echo "Skipping the Coq demos, because coq-menhirlib is not installed." ; \
	    fi \
	  else \
	    echo "Skipping the Coq demos, because Coq is not installed." ; \
	  fi

clean:
	git clean -fdX

=== demos/ocamlbuild/calc-incremental/Makefile ===
.PHONY: all clean test

MENHIR          := menhir

# We use the table back-end, and link against menhirLib.
# We assume that menhirLib has been installed in such a
# way that ocamlfind knows about it.

MENHIRFLAGS     := --table
# -- infer is automatically added by ocamlbuild.

OCAMLBUILD      := ocamlbuild -use-ocamlfind -use-menhir -menhir "$(MENHIR) $(MENHIRFLAGS)" -package menhirLib

MAIN            := calc

all:
	$(OCAMLBUILD) $(MAIN).native

clean:
	rm -f *~ .*~
	$(OCAMLBUILD) -clean

test: all
	@echo "The following command should print 42:"
	echo "(1 + 2 * 10) * 2" | ./$(MAIN).native

=== debian/changelog ===
coq-menhirlib (20250912+ds-2) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-core-ocaml-dev, libcoq-stdlib
